Bug 18623 - Editorial issues: Clarify CLOSING, capitalize websocket, add anchor to reason attribute
Editorial issues: Clarify CLOSING, capitalize websocket, add anchor to reason...
Status: RESOLVED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: WebSocket API (editor: Ian Hickson)
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Ian 'Hixie' Hickson
public-webapps-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 12:55 UTC by Takeshi Yoshino
Modified: 2012-08-29 18:22 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takeshi Yoshino 2012-08-20 12:55:41 UTC
> CLOSING (numeric value 2)
> The connection is going through the closing handshake.

The readyState can enter CLOSING also when close() is called before establishment. In that case, it's not going through closing handshake.

> When the user agent validates the server's response during the "establish a WebSocket connection" algorithm, if the status code received from the server is not 101 (e.g. it is a redirect), the user agent must fail the websocket connection.

websocket -> WebSocket

> If the user agent was required to fail the websocket connection or the WebSocket connection is closed with prejudice, fire a simple event named error at the WebSocket object. [WSP]

websocket -> WebSocket

> interface CloseEvent : Event {
>   readonly attribute boolean wasClean;
>   readonly attribute unsigned short code;
>   readonly attribute DOMString reason;
> };

missing anchor on reason to its description
Comment 1 Arthur Barstow 2012-08-27 12:02:47 UTC
Hixie - would you please provide input on the first issue in this bug i.e. the one about CLOSING?


Takeshi - I don't understand what you mean by "missing anchor on reason to its description" (the last issue in this bug) so please elaborate.
Comment 2 Arthur Barstow 2012-08-27 12:15:48 UTC
Takeshi - nevermind (I now understand your comment about missing a link to the description of the "reason" attribute).
Comment 3 contributor 2012-08-29 18:22:43 UTC
Checked in as WHATWG revision r7295.
Check-in comment: Fix some editorial issues for WebSockets
http://html5.org/tools/web-apps-tracker?from=7294&to=7295